Subject: Re: [PATCH] commit: resurrect "gc --auto" at the end

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 May 2008 11:13:38 -0700

Johannes Schindelin <[email-masked]> writes:

> On Wed, 2 Apr 2008, Johannes Schindelin wrote:
>
>> From: Johannes Schindelin <[email-masked]>
>> 
>> As the scripted version of git-commit did, we now call gc --auto just 
>> before the post-commit hook.
>> 
>> Any errors of gc --auto should be non-fatal, so we do not catch those; the 
>> user should see them anyway.
>> 
>> Signed-off-by: Johannes Schindelin <[email-masked]>
>> ---
>> 
>> 	Junio wrote:
>> 	>
>> 	>  * "git commit" used to have one [call to 'gc --auto'] at the 
>> 	>    end in the scripted version, but seems to have lost it in C
>> 	>    rewrite.
>> 
>> 	How about this?
>
> Any news on this?

I had an impression that we accepted the hook which made "gc --auto" more
expensive by forcing it to check the hook (and possibly execute it every
time) after vetting am, svn and friends to make sure nobody triggered "gc
--auto" once per every commit, and during that vetting process we noticed
that "git commit" lost the "gc --auto" at the end.

With this patch, we would again have a command that runs "gc --auto" once
per every commit, wouldn't we?  Interactive use of git-commit is fine with
it, but if people drive "git commit" from their scripts in a loop, they
would be hurt.

Having said that, perhaps the overhead of "gc --auto" hook is not such a
big deal.  I dunno.